Create Check payroll config
curl --request PUT \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/payroll/check/configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"check_company_id": "<string>"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/payroll/check/configs"
payload = { "check_company_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({check_company_id: '<string>'})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/payroll/check/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"check_company_id": "<string>",
"type": "Api_Check_Payroll_Config"
}
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"check_company_id": "<string>",
"type": "Api_Check_Payroll_Config"
}
}Check Embedded Payroll
Create Check payroll config
Creates a new Check payroll configuration for the given business. If a config with the same check_company_id already exists, this is a no-op and returns 200.
PUT
/
v1
/
businesses
/
{businessId}
/
payroll
/
check
/
configs
Create Check payroll config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Body
application/json
The Check company ID to associate with this business.
Response
A config with the given check_company_id already exists; no change was made.
Show child attributes
Show child attributes
āI